@import "../../styles/util.mixins.scss";

.woocommerce-product-gallery {
  position: relative;
  padding-right: 0;

  .woocommerce-product-gallery__trigger {
    position: absolute;
    top: 3px;
    right: 15px;
    display: block;
    height: 2em;
    width: 2em;
    border-radius: 3px;
    z-index: 99;
    text-align: center;

    &::before {
      font: normal normal normal 1em/1 FontAwesome;
      font-size: inherit;
      text-rendering: auto;
      -webkit-font-smoothing: antialiased;
      -moz-osx-font-smoothing: grayscale;
      display: block;
      content: "\f00e";
      line-height: 2;
      text-indent: 0;
    }
  }

  .woocommerce-product-gallery__wrapper {
    margin: 0 auto;
    max-width: 360px;
    background-color: #fff;

    a,
    img {
      display: block;
    }

    .wp-post-image {
      width: auto;
      margin: 16px auto 32px;
    }

    .slider {
      width: 100%;
      display: flex;
      justify-content: space-around;
      padding-bottom: 16px;

      .img-selector {
        height: 64px;
        width: 64px;
        cursor: pointer;
      }
    }

    @include clearfix;
  }
}

.product-detail-page {
  .woocommerce-product-gallery {
    width: 40%;
    float: left;
  }
}

@media (max-width: 992px) {
  .woocommerce-product-gallery {
    .woocommerce-product-gallery__wrapper {
      .slider {
        .img-selector {
          height: 40px;
          width: 40px;
          z-index: 9;
        }
      }
    }
  }
}

@media (max-width: 768px) {
  .product-detail-page {
    .woocommerce-product-gallery {
      width: 100%;
      float: none;

      .woocommerce-product-gallery__wrapper {
        .slider {
          .img-selector {
            height: 64px;
            width: 64px;
          }
        }
      }
    }

    .product-overview__summary {
      width: 100%;
      margin-top: 40px;
    }
  }
}

@media (max-width: 480px) {
  .product-detail-page .product-overview__summary {
    padding-left: 0;
  }
}
